//Common include file

#ifndef __GENERAL_H
#define __GENERAL_H

#define VERSION "3.0  July 2005"

#define __BORLAND //Comment out this line if your compiler has problems with some header files

typedef unsigned int uint;
//typedef int  bool;
//#define false 0
//#define true 1

extern bool GrowthCheck; //Should we check growth is decreasing in fold?

#define ARRAYSIZ 50
#define ARRAYDELTA 200

#define MAXITER 1000

#define MAXARRAYLENGTH 300000

	#define TRY try
	#define THROW(x,n) throw(Error(x,n))
	#define CATCH(x) catch x

	class Error {
		char Message[100];
		int Type; //0 = IO error, 1 = Algorithm error, 2 = Special error(decrease tol), 3 = other 4 = terminal
	public:
		Error(char* Erm, int T);
		void Report();
		int GetType() {return Type;}
	};



void Memory();

void LowerCase(char *s);

void ftos(long double val, char* res, int Prec);



#endif


